
=encoding utf8

=head1 NAME

Sidef::Object::Object

=head1 DESCRIPTION

This class implements ...

=head1 SYNOPSIS

var obj = Object(...)


=head1 INHERITS

Inherits methods from:

       * Sidef::Object::Convert

=head1 METHODS

=head2 !~

    a !~ b

Returns the

=cut

=head2 &&

    a && b

Returns the

=cut

=head2 :

    a : b

Returns the

=cut

=head2 \\

    a \\ b

Returns the

=cut

=head2 ^

    a ^ b

Returns the

=cut

=head2 |>

    a |> b

Returns the

=cut

=head2 ||

    a || b

Returns the

=cut

=head2 ~~

    a ~~ b

Returns the

=cut

=head2 ⫶

    a ⫶ b

Returns the

=cut

=head2 ：

    a ： b

Returns the

=cut

=head2 alias_method

    Object.alias_method()

Returns the

=cut

=head2 bless

    Object.bless()

Returns the

=cut

=head2 class

    Object.class()

Returns the

=cut

=head2 clone

    Object.clone()

Returns the

=cut

=head2 dclone

    Object.dclone()

Returns the

Aliases: I<deep_clone>

=cut

=head2 def_method

    Object.def_method()

Returns the

=cut

=head2 dump

    Object.dump()

Returns the

=cut

=head2 interpolate

    Object.interpolate()

Returns the

=cut

=head2 is_a

    Object.is_a()

Returns the

Aliases: I<is_an>, I<kind_of>

=cut

=head2 is_object

    Object.is_object()

Returns the

=cut

=head2 is_typename

    Object.is_typename()

Returns the

=cut

=head2 lazy

    Object.lazy()

Returns the

=cut

=head2 method

    Object.method()

Returns the

=cut

=head2 methods

    Object.methods()

Returns the

=cut

=head2 new

    Object.new()

Returns the

=cut

=head2 parent_classes

    Object.parent_classes()

Returns the

=cut

=head2 print

    Object.print()

Returns the

=cut

=head2 ref

    Object.ref()

Returns the

=cut

=head2 refaddr

    Object.refaddr()

Returns the

Aliases: I<object_id>

=cut

=head2 reftype

    Object.reftype()

Returns the

Aliases: I<object_type>

=cut

=head2 respond_to

    Object.respond_to()

Returns the

=cut

=head2 say

    Object.say()

Returns the

Aliases: I<println>

=cut

=head2 undef_method

    Object.undef_method()

Returns the

=cut
